const mongoose = require('mongoose');

const userSchema = mongoose.Schema({
	address: {type: String, required:true},
	session: {type: String, required:true},
	blocktime: {type: Number, required:true},
	pin: {type: String, required:true},
	validated: {type: Boolean, required:true},
	expired: {type: Boolean, required:true, default: false}
});

module.exports = mongoose.model('User', userSchema);
